//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#include "stats.h"
#include "tstring.h"

void Stats::print() {
	TString ts;
	fprintf(stderr, ts.stats1, found_, not_found_, new_word_);
}

void Stats::sprint(char *str, int len) {
	ASSERT(str != 0);
	TString ts;
	snprintf(str, len, ts.stats2, found_, not_found_, new_word_);
}

void Stats::notFound() {
	not_found_++;
	if ((not_found_ & 0x0fff) == 0 &&
	    (not_found_ & ~0x0fff) != 0) {
		TString ts;
		fprintf(stderr, ts.stats3, not_found_);
	}
}
