#!/bin/bash

help() {
	echo "buildqt3.sh option"
	echo "Oprions"
	echo "    help, -h, -? - this screen"
	echo "    clean - clean all build files"
	echo "    translate - start qt linguist on roxml_ro.ts"
}

if [ "$1" = "help" ]
then
	help

elif [ "$1" = "-h" ]
then
	help

elif [ "$1" = "-?" ]
then
	help

elif [ "$1" = "clean" ]
then
	echo "Cleaning..."
	rm -fr Makefile debug.log TAGS tmp/* debug/* release/*

elif [ "$1" = "translate" ]
then
	echo "Translate..."
	/usr/qt/3/bin/linguist roxml_ro.ts

else
	echo "Build roxml..."
	/usr/qt/3/bin/qmake qt3.pro
	make
	/usr/qt/3/bin/lupdate qt3.pro
	/usr/qt/3/bin/lrelease qt3.pro
fi
